列出所有 hook 來源
GET /accounts/{account_id}/core/v1/hookSources
傳回集合中所有符合資源的 JSON 陣列。如果在請求中指定了個別欄位,則項目 JSON 陣列將按指定順序包含每個相符資源所請求的欄位。
參數
| Name | 類型 | 在 | 必要 | 說明 |
|---|---|---|---|---|
account_id |
字串 |
路徑 |
True |
包含帳戶資源的 ID
|
包括 |
字串 |
查詢 |
錯誤 |
指示列出集合時應傳回哪些欄位。 URL 範例:「include=id」、「include=id,name」 OpenAPI 範例:"id" |
限制 |
字串 |
查詢 |
錯誤 |
表示列出集合時要傳回的資源數量上限。 URL 範例:「limit=2」 OpenAPI 範例:「2」 |
篩選器 |
字串 |
查詢 |
錯誤 |
指示在列出集合時,為了傳回資源而應符合哪些欄位。 支援的運算子包括:
URL 範例:「filter=field%20eq%20%27value%27」 OpenAPI 範例:"field eq 'value'" |
回應
Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
項目 |
array[任何: "hookSource_1.0_get_response_body"、array[]] |
True |
|
中繼資料 |
True |
範例回應
{
"type": "application/astra-hookSources",
"version": "1.0",
"items": [
{
"type": "application/astra-hookSource",
"version": "1.0",
"id": "2d6154dd-6863-4a26-8017-6be092b8b0bd",
"name": "Payroll script",
"private": "false",
"preloaded": "false",
"sourceType": "script",
"source": "ZWNobyAiVkhKaGJuTWdVbWxuYUhSeklRPT0iIHwgYmFzZTY0IC1k",
"sourceMD5Checksum": "b1a4b8b0144c3f6be553b626130ca145",
"description": "Pre and post hook script for payroll",
"metadata": {
"labels": [],
"creationTimestamp": "2020-08-06T12:24:52.256624Z",
"modificationTimestamp": "2020-08-06T12:24:52.256624Z",
"createdBy": "64182074-ddb6-42eb-b7f4-b6a02cf9ba7c"
}
},
{
"type": "application/astra-hookSource",
"version": "1.0",
"id": "b71c6793-aa9b-4654-92ef-60663a0aedac",
"name": "Payroll script",
"private": "true",
"preloaded": "false",
"sourceType": "script",
"sourceMD5Checksum": "6469094cb279f6d91358bc5062d15baf",
"description": "Pre and post hook script for payroll",
"metadata": {
"labels": [],
"creationTimestamp": "2020-08-08T12:24:52.256624Z",
"modificationTimestamp": "2020-08-08T12:24:52.256624Z",
"createdBy": "64182074-ddb6-42eb-b7f4-b6a02cf9ba7c"
}
},
{
"type": "application/astra-hookSource",
"version": "1.0",
"id": "682fe9d2-52d2-4c30-bcec-ecefddde359c",
"name": "NetApp preloaded ",
"private": "true",
"preloaded": "false",
"sourceType": "script",
"sourceMD5Checksum": "7864495443c1087104520a320a2225c9",
"description": "NetApp Postgres preloaded snapshot pre and post",
"metadata": {
"labels": [],
"creationTimestamp": "2020-07-12T12:24:52.256624Z",
"modificationTimestamp": "2020-07-12T12:24:52.256624Z",
"createdBy": "4428cfd4-27fd-4248-9f49-bd3a02043ab8"
}
}
],
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
回應
Status: 401, Unauthorized
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
範例回應
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
回應
Status: 400, Bad request
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
|
invalidParams |
陣列["invalidParams"] |
錯誤 |
無效查詢參數清單 |
範例回應
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
回應
Status: 403, Forbidden
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
範例回應
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
錯誤
Status: 404, Not found
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
範例錯誤回應
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
定義
請參閱定義
type_astra_label
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
姓名 |
字串 |
True |
|
值 |
字串 |
True |
type_astra_metadata_update
與資源相關聯的用戶端和服務指定中繼資料。定義的值為:
-
符合 Astra Metadata Schema。如果在建立時未指定、則會建立沒有標籤的中繼資料物件。如果在更新時未指定,元資料物件的標籤、creationTimestamp 和 createdBy 將保持不變。
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
標籤 |
錯誤 |
||
建立時間戳記 |
字串 |
錯誤 |
|
修改時間戳記 |
字串 |
錯誤 |
|
建立者 |
字串 |
錯誤 |
|
modifiedBy |
字串 |
錯誤 |
hookSource_1.0_get_response_body
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
資源的媒體類型。定義的值為:
|
版本 |
字串 |
True |
資源版本。定義的值為:
|
ID |
字串 |
True |
資源的全域唯一識別碼。定義的值為:
|
姓名 |
字串 |
True |
包含使用者指定資源名稱的 JSON 字串。定義的值為:
|
私有 |
字串 |
True |
JSON 字串,指示來源欄位是否會在 API 中公開,還是故意留白。定義的值為:
|
預先載入 |
字串 |
True |
指示來源是否已預先載入的 JSON 字串。定義的值為:
|
sourceType |
字串 |
True |
定義勾點來源類型的 JSON 字串。定義的值為:
|
來源 |
字串 |
錯誤 |
包含待執行腳本的 JSON 字串,採用 base64 編碼格式。定義的值為:
|
sourceMD5Checksum |
字串 |
True |
JSON 字串包含針對「source」鍵值計算出的 MD5 校驗和。定義的值為:
|
描述 |
字串 |
錯誤 |
包含使用者指定的鉤子來源描述的 JSON 字串。定義的值為:
|
中繼資料 |
True |
與資源相關聯的用戶端和服務指定中繼資料。定義的值為:
|
type_astra_metadata_list
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
繼續 |
字串 |
錯誤 |
|
數 |
數字 |
錯誤 |
|
標籤 |
錯誤 |
||
建立時間戳記 |
字串 |
錯誤 |
|
修改時間戳記 |
字串 |
錯誤 |
|
建立者 |
字串 |
錯誤 |
|
modifiedBy |
字串 |
錯誤 |
invalidParams
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
姓名 |
字串 |
True |
無效查詢參數的名稱 |
原因 |
字串 |
True |
查詢參數無效的原因 |